Name:          libglvnd
Version:       1.6.0
Release:       1mamba
Summary:       GL Vendor-Neutral Dispatch library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/NVIDIA/libglvnd
Source:        https://github.com/NVIDIA/libglvnd.git/v%{version}/libglvnd-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
## AUTOBUILDREQ-END
Requires:      libmesa >= 1:21.0.2-2mamba

%description
GL Vendor-Neutral Dispatch library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libmesa-devel
Requires:      pkg-config
Provides:      libGL-devel
Obsoletes:     libGL-devel <= 1:21.0.2
Provides:      libGLESv2-devel
Obsoletes:     libGLESv2-devel <= 1:21.0.2
Provides:      libEGL-devel
Obsoletes:     libEGL-devel <= 1:21.0.2

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson \
    -Dgles1=false \
%ifarch arm aarch64
	-Dasm=disabled
%endif

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%posttrans
# Fixes for backlast of alternatives overwriting symlinks with nvidia drivers installed
[ "`readlink -f %{_libdir}/libGL.so.1`" = "%{_libdir}/libGL.so.1.7.0" ] || ln -sf libGL.so.1.7.0 %{_libdir}/libGL.so.1
[ "`readlink -f %{_libdir}/libEGL.so.1`" = "%{_libdir}/libEGL.so.1.1.0" ] || ln -sf libEGL.so.1.1.0 %{_libdir}/libEGL.so.1
[ "`readlink -f %{_libdir}/libGLESv2.so.2`" = "%{_libdir}/libGLESv2.so.2.1.0" ] || ln -sf libGLESv2.so.2.1.0 %{_libdir}/libGLESv2.so.2
:

%files
%defattr(-,root,root)
%{_libdir}/libEGL.so.*
%{_libdir}/libGL.so.*
%{_libdir}/libGLESv2.so.*
%{_libdir}/libGLX.so.*
%{_libdir}/libGLdispatch.so.*
%{_libdir}/libOpenGL.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/EGL
%{_includedir}/EGL/*.h
%dir %{_includedir}/GL
%{_includedir}/GL/*.h
%dir %{_includedir}/GLES2
%{_includedir}/GLES2/*.h
%dir %{_includedir}/GLES3
%{_includedir}/GLES3/*.h
%dir %{_includedir}/KHR
%{_includedir}/KHR/*.h
%dir %{_includedir}/glvnd
%{_includedir}/glvnd/*.h
%{_libdir}/libEGL.so
%{_libdir}/libGL.so
%{_libdir}/libGLESv2.so
%{_libdir}/libGLX.so
%{_libdir}/libGLdispatch.so
%{_libdir}/libOpenGL.so
%{_libdir}/pkgconfig/libglvnd.pc
%{_libdir}/pkgconfig/egl.pc
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/glesv2.pc
%{_libdir}/pkgconfig/glx.pc
%{_libdir}/pkgconfig/opengl.pc
%doc README.md

%changelog
* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Aug 24 2022 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-2mamba
- posttrans fix of symlinks overwritten by alternatives of nvidia driver if installed

* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- update to 1.3.2

* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
